Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SimpleDateData Struct Reference

## Data Fields
unsigned | flags
VALUE | nth
int | jd
date_sg_t | sg
int | year
unsigned | pc

## Detailed Description

Definition at line 232 of file date_core.c.

## Field Documentation

unsigned SimpleDateData::flags

Definition at line 234 of file date_core.c.

Referenced by clear_civil(), get_s_civil(), and get_s_jd().

int SimpleDateData::jd

Definition at line 236 of file date_core.c.

Referenced by get_s_civil(), get_s_jd(), m_jd(), m_julian_p(), and m_local_jd().

VALUE SimpleDateData::nth

Definition at line 235 of file date_core.c.

Referenced by d_lite_gc_mark(), m_nth(), and s_virtual_sg().

unsigned SimpleDateData::pc

Definition at line 251 of file date_core.c.

Referenced by clear_civil(), get_s_civil(), get_s_jd(), m_mday(), m_mon(), and m_pc().

date_sg_t SimpleDateData::sg

Definition at line 240 of file date_core.c.

Referenced by m_sg(), s_virtual_sg(), and set_sg().

int SimpleDateData::year

Definition at line 242 of file date_core.c.

Referenced by clear_civil(), get_s_civil(), get_s_jd(), and m_year().

The documentation for this struct was generated from the following file:

- ext/date/date_core.c